Subject: Re: bug#63891: 29.0.91; customize-save-variable should not save all variables if a custom file exists

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Jun 2023 16:23:56 +0300

> Date: Sun, 4 Jun 2023 14:02:55 +0100
> From: Jimmy Wong <[email-masked]>
> Cc: [email-masked]
> 
> Yes sorry, I mean customize-save-variable, custom-save-variable doesn’t exist. There’s a branch in
> customize-save-variable that saves all previously updated variables to the custom file if it exists.

I don't think I understand.  customize-save-variable saves only a
single variable: the one whose name you type, with the value you type.
Which branch there does more, and how can you invoke that branch?

> I just took a look at cus-edit.el, there appears to be no function that can surgically serialize just one
> variable value to the custom file.

customize-save-variable is that function.